Skip to main content
GET
/
buoys
/
{buoy_id}
/
readings
/
chart
Get chart data for a buoy
curl --request GET \
  --url https://thesurfkit.com/api/v2/buoys/{buoy_id}/readings/chart \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "buoy": {},
    "fields": {},
    "time": [
      "2023-11-07T05:31:56Z"
    ],
    "significant_height": [
      123
    ],
    "maximum_height": [
      123
    ],
    "period": [
      123
    ],
    "forecast_wave_height": [
      123
    ],
    "tide_level": [
      123
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Format: Authorization: Bearer YOUR_API_KEY

Alternative: Pass as query parameter ?api_key=YOUR_API_KEY

Security: API keys are stored as BCrypt hashes (never plain text). Only the hash is stored in the database.

Path Parameters

buoy_id
integer
required

Query Parameters

optimized
boolean
default:true

Use optimized version (default: true)

debug
boolean

Include performance metrics in response

Response

Chart data with time series arrays

status
string
Example:

"success"

data
object